Skip to main content
GET
/
media-bridge
/
v1
/
{appId}
/
settings
/
oembed-domains
Get oEmbed domains
curl --request GET \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/settings/oembed-domains \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "appId": 123,
      "createdAt": 123,
      "deletedAt": 123,
      "endpoints": {
        "discovery": true,
        "schemes": [
          "<string>"
        ],
        "url": "<string>"
      },
      "id": 123,
      "portalId": 123,
      "updatedAt": 123
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

Query Parameters

domainPortalId
integer<int32>
default:-1

Response

successful operation

results
object[]
required
totalCount
integer<int32>
Last modified on May 15, 2026